require_relative 'resource'
require_relative 'option'
require_relative 'ticket'
require_relative 'order'

module TicketingHub
  class Venue < Resource

    def tickets date=nil, time=nil
      client.get "#{path}/#{id}/tickets", { date: date, time: time }, TicketingHub::Ticket
    end

    def orders
      client.get "#{path}/#{id}/orders", {}, TicketingHub::Order
    end

    def option(date, time)
      client.get("#{path}/#{id}/option", { date: date, time: time }, TicketingHub::Option).first
    end

    def seasons
      client.get "#{path}/#{id}/seasons"
    end

    def variations
      client.get "#{path}/#{id}/variations"
    end
  end
end